com.verisign.epp.codec.registry.v02

## Enum EPPRegistryInfoCmd.Mode

- java.lang.Object
- - java.lang.Enum<EPPRegistryInfoCmd.Mode>
  - - com.verisign.epp.codec.registry.v02.EPPRegistryInfoCmd.Mode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EPPRegistryInfoCmd.Mode>
  Enclosing class:
    EPPRegistryInfoCmd

      public static enum EPPRegistryInfoCmd.Mode
      extends java.lang.Enum<EPPRegistryInfoCmd.Mode>

  Possible values for the `mode` attribute, which defines the mode to query.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `all` Queries for all of the client accessible and/or available zone objects with a summary set of attributes per zone object.
    `name` Queries for a full set of attributes for a single zone object.
    `system` Queries for the registry system attributes.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPRegistryInfoCmd.Mode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPPRegistryInfoCmd.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### all

          public static final EPPRegistryInfoCmd.Mode all

      Queries for all of the client accessible and/or available zone objects with a summary set of attributes per zone object.

    - #### name

          public static final EPPRegistryInfoCmd.Mode name

      Queries for a full set of attributes for a single zone object.

    - #### system

          public static final EPPRegistryInfoCmd.Mode system

      Queries for the registry system attributes.

  - ### Method Detail

    - #### values

          public static EPPRegistryInfoCmd.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPRegistryInfoCmd.Mode c : EPPRegistryInfoCmd.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPRegistryInfoCmd.Mode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © VeriSign Inc. All Rights Reserved.